## fastp 0.19.6+dfsg

=== Makefile ===
DIR_INC := ./inc
DIR_SRC := ./src
DIR_OBJ := ./obj

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
INCLUDE_DIRS ?=
LIBRARY_DIRS ?=

SRC := $(wildcard ${DIR_SRC}/*.cpp)
OBJ := $(patsubst %.cpp,${DIR_OBJ}/%.o,$(notdir ${SRC}))

TARGET := fastp

BIN_TARGET := ${TARGET}

CXX := g++
CXXFLAGS := -std=c++11 -g -I${DIR_INC} $(foreach includedir,$(INCLUDE_DIRS),-I$(includedir))
LIBS := -lz -lpthread
LD_FLAGS := $(foreach librarydir,$(LIBRARY_DIRS),-L$(librarydir)) $(LIBS)


${BIN_TARGET}:${OBJ}
	$(CXX) $(OBJ) -o $@ $(LD_FLAGS)

${DIR_OBJ}/%.o:${DIR_SRC}/%.cpp make_obj_dir
	$(CXX) $(CXXFLAGS) -O3 -c $< -o $@

.PHONY:clean
clean:
	rm obj/*.o
	rm $(TARGET)

make_obj_dir:
	@if test ! -d $(DIR_OBJ) ; \
	then \
		mkdir $(DIR_OBJ) ; \
	fi

install:
	install $(TARGET) $(BINDIR)/$(TARGET)
	@echo "Installed."

=== debian/changelog ===
fastp (0.19.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches, accepted upstream.
  * Add patch to inject compiler flags.
  * Standards-Version: 4.3.0.
  * Bump debhelper compat to 12.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 18 Jan 2019 22:24:34 +0100

fastp (0.19.5+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #914445)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 25 Nov 2018 12:07:20 +0100

=== debian/control ===
Source: fastp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 12),
               help2man,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/fastp
Vcs-Git: https://salsa.debian.org/med-team/fastp.git
Homepage: https://github.com/OpenGene/fastp

Package: fastp
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Ultra-fast all-in-one FASTQ preprocessor
 All-in-one FASTQ preprocessor, fastp provides functions including quality
 profiling, adapter trimming, read filtering and base correction. It supports
 both single-end and paired-end short read data and also provides basic support
 for long-read data.

## fastp 0.19.8+dfsg

=== debian/changelog ===
fastp (0.19.8+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Sun, 31 Mar 2019 21:00:50 +0200

fastp (0.19.7+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 30 Mar 2019 10:55:06 +0100

## fastp 0.20.0+dfsg

=== debian/changelog ===
fastp (0.20.0+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:40:12 +0100

fastp (0.20.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.0.
  * Buster is released, so upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 22 Jul 2019 15:23:32 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 12),
                help2man,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/fastp
 Vcs-Git: https://salsa.debian.org/med-team/fastp.git
 Homepage: https://github.com/OpenGene/fastp

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -DDYNAMIC_ZLIB

%:
	dh $@

override_dh_auto_clean:

override_dh_auto_build:
	dh_auto_build
	help2man --no-discard-stderr --name="ultra-fast all-in-one FASTQ preprocessor" ./fastp > fastp.1

override_dh_auto_install:

override_dh_installman:
	dh_installman fastp.1

## fastp 0.20.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -14,17 +14,17 @@
 
 BIN_TARGET := ${TARGET}
 
-CXX := g++
-CXXFLAGS := -std=c++11 -g -I${DIR_INC} $(foreach includedir,$(INCLUDE_DIRS),-I$(includedir))
+CXX ?= g++
+CXXFLAGS := -std=c++11 -g -O3 -I${DIR_INC} $(foreach includedir,$(INCLUDE_DIRS),-I$(includedir)) ${CXXFLAGS}
 LIBS := -lz -lpthread
-LD_FLAGS := $(foreach librarydir,$(LIBRARY_DIRS),-L$(librarydir)) $(LIBS)
+LD_FLAGS := $(foreach librarydir,$(LIBRARY_DIRS),-L$(librarydir)) $(LIBS) $(LD_FLAGS)
 
 
 ${BIN_TARGET}:${OBJ}
 	$(CXX) $(OBJ) -o $@ $(LD_FLAGS)
 
 ${DIR_OBJ}/%.o:${DIR_SRC}/%.cpp make_obj_dir
-	$(CXX) $(CXXFLAGS) -O3 -c $< -o $@
+	$(CXX) -c $< -o $@ $(CXXFLAGS)
 
 .PHONY:clean
 clean:

=== debian/changelog ===
fastp (0.20.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 11 Apr 2020 22:14:31 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                help2man,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/fastp
 Vcs-Git: https://salsa.debian.org/med-team/fastp.git
 Homepage: https://github.com/OpenGene/fastp
+Rules-Requires-Root: no
 
 Package: fastp
 Architecture: any

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/OpenGene/fastp/tags .*/v?(\d\S+)\.tar\.gz

## fastp 0.23.2%2Bdfsg

=== debian/changelog ===
fastp (0.23.2+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Aurelien Jarno ]
  * Fix build on riscv64.
    Closes: #1001520

 -- Andreas Tille <tille@debian.org>  Sat, 11 Dec 2021 16:48:03 +0100

fastp (0.23.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Tue, 07 Dec 2021 22:34:23 +0100

fastp (0.23.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Nov 2021 16:29:53 +0100

fastp (0.23.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.23.0+dfsg
  * Refresh, Re-diff patches
  * d/control: Remove B-D on zlib1g-dev, add B-D on
    libisal-dev and libdeflate-dev
  * Update manpage

 -- Nilesh Patra <nilesh@debian.org>  Fri, 15 Oct 2021 20:56:26 +0000

fastp (0.22.0+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Add d/clean to clean redundant files and dirs
  * Add maintainer manpage, remove generation of manpage at build time
    + Helps package cross  build
  * d/p/fix-i386.patch: Fix autopkgtests on armhf and i386

 -- Nilesh Patra <nilesh@debian.org>  Mon, 06 Sep 2021 02:38:45 +0530

fastp (0.22.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Nilesh Patra <nilesh@debian.org>  Mon, 30 Aug 2021 23:56:50 +0530

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               help2man,
-               zlib1g-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+               libisal-dev,
+               libdeflate-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/fastp
 Vcs-Git: https://salsa.debian.org/med-team/fastp.git
 Homepage: https://github.com/OpenGene/fastp

## fastp 0.23.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -15,21 +15,33 @@
 BIN_TARGET := ${TARGET}
 
 CXX ?= g++
-CXXFLAGS := -std=c++11 -g -O3 -I${DIR_INC} $(foreach includedir,$(INCLUDE_DIRS),-I$(includedir)) ${CXXFLAGS}
-LIBS := -lz -lpthread
+CXXFLAGS := -std=c++11 -pthread -g -O3 -I${DIR_INC} $(foreach includedir,$(INCLUDE_DIRS),-I$(includedir)) ${CXXFLAGS}
+LIBS := -lisal -ldeflate -lpthread
+STATIC_FLAGS := -static -Wl,--no-as-needed -pthread
 LD_FLAGS := $(foreach librarydir,$(LIBRARY_DIRS),-L$(librarydir)) $(LIBS) $(LD_FLAGS)
+STATIC_LD_FLAGS := $(foreach librarydir,$(LIBRARY_DIRS),-L$(librarydir)) $(STATIC_FLAGS) $(LIBS) $(STATIC_LD_FLAGS)
 
 
 ${BIN_TARGET}:${OBJ}
 	$(CXX) $(OBJ) -o $@ $(LD_FLAGS)
 
+static:${OBJ}
+	$(CXX) $(OBJ) -o ${BIN_TARGET} $(STATIC_LD_FLAGS)
+
 ${DIR_OBJ}/%.o:${DIR_SRC}/%.cpp make_obj_dir
 	$(CXX) -c $< -o $@ $(CXXFLAGS)
 
 .PHONY:clean
+.PHONY:static
 clean:
-	rm obj/*.o
-	rm $(TARGET)
+	@if test -d $(DIR_OBJ) ; \
+	then \
+		find $(DIR_OBJ) -name *.o -delete; \
+	fi
+	@if test -e $(TARGET) ; \
+	then \
+		rm $(TARGET) ; \
+	fi
 
 make_obj_dir:
 	@if test ! -d $(DIR_OBJ) ; \

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -DDYNAMIC_ZLIB

%:
	dh $@

override_dh_auto_clean:

override_dh_auto_build:
	dh_auto_build

override_dh_auto_install:

## fastp 0.23.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                libisal-dev,
                libdeflate-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/fastp
 Vcs-Git: https://salsa.debian.org/med-team/fastp.git
 Homepage: https://github.com/OpenGene/fastp

## fastp 0.23.4+dfsg

=== debian/changelog ===
fastp (0.23.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 11 Jul 2023 17:23:30 +0200

## fastp 0.24.0%2Bdfsg

=== debian/changelog ===
fastp (0.24.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix filename for upstream tarball
  * Build-Depends does not exist on i386 - do not generate noise on salsa-ci

  [ Dylan Aïssi ]
  * New upstream version 0.24.0+dfsg
  * Refresh patches
  * Standards-Version: 4.7.0 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 03 Feb 2025 22:02:25 +0100

## fastp 0.24.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                libisal-dev,
                libdeflate-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/fastp
 Vcs-Git: https://salsa.debian.org/med-team/fastp.git
 Homepage: https://github.com/OpenGene/fastp

## fastp 1.0.1%2Bdfsg

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/OpenGene/fastp/tags .*/v?(\d\S+)\.tar\.gz

## fastp 1.0.1+dfsg

=== Makefile ===
DIR_INC := ./inc
DIR_SRC := ./src
DIR_OBJ := ./obj

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
INCLUDE_DIRS ?=
LIBRARY_DIRS ?=

SRC := $(wildcard ${DIR_SRC}/*.cpp)
OBJ := $(patsubst %.cpp,${DIR_OBJ}/%.o,$(notdir ${SRC}))

TARGET := fastp

BIN_TARGET := ${TARGET}

CXX ?= g++
CXXFLAGS := -std=c++11 -pthread -g -O3 -MD -MP -I${DIR_INC} $(foreach includedir,$(INCLUDE_DIRS),-I$(includedir)) ${CXXFLAGS}
LIBS := -lisal -ldeflate -lpthread
STATIC_FLAGS := -static -Wl,--no-as-needed -pthread
LD_FLAGS := $(foreach librarydir,$(LIBRARY_DIRS),-L$(librarydir)) $(LIBS) $(LD_FLAGS)
STATIC_LD_FLAGS := $(foreach librarydir,$(LIBRARY_DIRS),-L$(librarydir)) $(STATIC_FLAGS) $(LIBS) $(STATIC_LD_FLAGS)


${BIN_TARGET}:${OBJ}
	$(CXX) $(OBJ) -o $@ $(LD_FLAGS)

static:${OBJ}
	$(CXX) $(OBJ) -o ${BIN_TARGET} $(STATIC_LD_FLAGS)

${DIR_OBJ}/%.o:${DIR_SRC}/%.cpp
	@mkdir -p $(@D)
	$(CXX) -c $< -o $@ $(CXXFLAGS)

.PHONY:clean
.PHONY:static
clean:
	@rm -rf $(DIR_OBJ)
	@rm -f $(TARGET)

install:
	install $(TARGET) $(BINDIR)/$(TARGET)
	@echo "Installed."

-include $(OBJ:.o=.d)

=== debian/changelog ===
fastp (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version 1.0.1+dfsg
  * Update debian/copyright
  * Standards-Version: 4.7.2 (no changes required)
  * Refresh patches

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 Aug 2025 11:18:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                libisal-dev,
                libdeflate-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/fastp
 Vcs-Git: https://salsa.debian.org/med-team/fastp.git
 Homepage: https://github.com/OpenGene/fastp
